Bug 107065 - /etc/sysconfig/network missing or invalid gateway parameter after install
/etc/sysconfig/network missing or invalid gateway parameter after install
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-10-14 15:01 EDT by Tom Borneman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 23:30:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Borneman 2003-10-14 15:01:42 EDT
Description of problem:

kickstart or interactive-install leaves out gateway

Version-Release number of selected component (if applicable):

RedHat 9

How reproducible:

very reproducible.

Steps to Reproduce:
1. install system, either interactively or via kickstart
2. supply gateway either interactively or on network parameter in kickstart
Actual results:

On the interactive install, /etc/sysconfig/network did not have the gateway
entry.  On the kickstart install, /etc/sysconfig/network contained the gateway
entry, but the value was "--hostname".

Expected results:

/etc/sysconfig/network should have the "gateway=xxx.xxx.xxx.xxx" entry.

Additional info:
Comment 1 Jeremy Katz 2003-10-16 17:35:17 EDT
Do you have multiple network devices on your system?
Comment 2 Tom Borneman 2003-10-16 21:18:09 EDT
Yes, there are two e1000 NICs on this system.
Comment 3 Jeremy Katz 2004-10-04 23:30:14 EDT
This should be better in newer releases.

Note You need to log in before you can comment on or make changes to this bug.